mrc0mmand / rpms / lvm2

Forked from rpms/lvm2 2 years ago
Clone

Blame SOURCES/lvm2-2_03_14-vdo-lvm_import_vdo-script-needs-to-continue-when-vgn.patch

0c180e
From 4cf3e8bd846a171b4b945f289bf0c6f9c7b5864c Mon Sep 17 00:00:00 2001
0c180e
From: Zdenek Kabelac <zkabelac@redhat.com>
0c180e
Date: Thu, 9 Sep 2021 18:10:13 +0200
0c180e
Subject: [PATCH 3/5] vdo: lvm_import_vdo script needs to continue when vgname
0c180e
 does not exist
0c180e
0c180e
When the script cannot find vgname - it needs to continue to run.
0c180e
0c180e
(cherry picked from commit 9db4ddabc1cf912dee30e0e6293767f01c976a4a)
0c180e
---
0c180e
 scripts/lvm_import_vdo.sh | 2 +-
0c180e
 1 file changed, 1 insertion(+), 1 deletion(-)
0c180e
0c180e
diff --git a/scripts/lvm_import_vdo.sh b/scripts/lvm_import_vdo.sh
0c180e
index 70904f7..e5b30d8 100755
0c180e
--- a/scripts/lvm_import_vdo.sh
0c180e
+++ b/scripts/lvm_import_vdo.sh
0c180e
@@ -262,7 +262,7 @@ convert2lvm_() {
0c180e
 			if [ -z "$VGNAME" ] || [ "$VGNAME" = "$LVNAME" ] ; then
0c180e
 				VGNAME=${DEFAULT_NAME%/*}
0c180e
 				# Find largest matching VG name to our 'default' vgname
0c180e
-				LASTVGNAME=$(LC_ALL=C "$LVM" vgs -oname -O-name --noheadings -S name=~${VGNAME} | grep -E "$VGNAME[0-9]? ?" | head -1)
0c180e
+				LASTVGNAME=$(LC_ALL=C "$LVM" vgs -oname -O-name --noheadings -S name=~${VGNAME} | grep -E "$VGNAME[0-9]? ?" | head -1 || true)
0c180e
 				if test -n "$LASTVGNAME" ; then
0c180e
 					LASTVGNAME=${LASTVGNAME#*${VGNAME}}
0c180e
 					# If the number is becoming too high, try some random number
0c180e
-- 
0c180e
1.8.3.1
0c180e